Pular para o conteúdo

/api/v1/squads/{id} (GET)

GET
/api/v1/squads/{id}
curl --request GET \
--url https://api.endless.zaia.app/api/v1/squads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Retrieves a squad.

id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Retrieves a squad.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
isRemoved
required
boolean
referenceId
required

The ID of the original entity in production.

string format: uuid
nullable
updatedAt
required
string format: date-time
versionId
required

A UUID v4 string that identifies an entity.

string format: uuid
description
required

The internal description of the squad.

string
nullable >= 3 characters <= 250 characters
mode
required

The management mode. In flat, agents redirect the chat to one another. In hierarchical, all iterations are intermediated by the manager.

string
Allowed values: hierarchical flat
name
required

The display name of the squad.

string
>= 3 characters <= 50 characters
picture
required

The picture associated with the squad.

string
nullable
superIdentityId
required

The super identity ID associated with the squad.

string format: uuid
workspaceId
required

The workspace ID that owns the squad.

string format: uuid
Example
{
"mode": "hierarchical"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Squad not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}